# Bill Of Materials / Hardware Assumptions

This is a surprisingly straight forward project that has minimal in the way of hardware requirements. Below you'll find a list of everything we recommend / assume.

* [Raspberry Pi 4](https://www.raspberrypi.org/products/raspberry-pi-4-model-b/) with at least 2Gb of RAM
  * An equivalent board with at least 2Gb of RAM capable of running Ubuntu 64bit Linux can be used instead but we do not support anything but the Raspberry Pi 4 at this time
  * **Please note: RAM usage is significantly affected by source image resolution /and/ panel size. 2Gb of RAM should be enough for a 2k screen and 20Mpx source images. If you're not sure get a 4Gb Raspberry Pi.**
* HDMI Monitor
  * [This](https://www.alibaba.com/product-detail/CONFU-HDMI-to-MIPI-5-5_62010868927.html) 5.5" 1440x2560 (2k) display looks promising and is being tested currently
* [Geekworm Armor Case](https://geekworm.com/products/raspberry-pi-4-model-b-armor-aluminum-alloy-case-protective-shell)
  * If you would like an always on fan, select the model with the integrated fan option
* [Pimoroni Fan SHIM](https://shop.pimoroni.com/products/fan-shim)
  * This has better cooling as well as on/off support than the Geekworm Armor Case with cooling
  * You probably want this instead of the Geekworm armor case with fans
* USB to Serial adapter
  * There are a lot of options, choose one you know that will work well
* Mini HDMI to HDMI adapter
* HDMI cable
* USB disk (thumb drive / ssd) for storing pictures
  * This is optional but will help prevent micro sd card wear if regularly changing photos or running backups
  * The Sandisk Ultra Fit USB disks are great options and work well with the Raspberry Pi boards
* 1x micro sd card
  * Must be **at least** 16Gb. The base install of software consumes almost 8Gb of storage, you'll want more than 8Gb to properly buffer updates and upgrades
* Power supply (at least 3A to avoid voltage issues)
